Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.builder
Class CommandBuilderFacade

    java.lang.Object
      com.pmease.quickbuild.builder.CommandBuilderFacade

All Implemented Interfaces:
  java.io.Serializable

public class CommandBuilderFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for CommandBuilder. Implements for a command line builder

See Also:
  Serialized Form

Constructor Summary
`CommandBuilderFacade()`

Method Summary
`java.lang.String` | `getBuildSuccessCondition()` OGNL: The build success condition is an OGNL expression used to determine if the build of the current project was successful.
`java.lang.String` | `getCommand()` OGNL: Specify the build command.
`java.lang.String` | `getDirToRunCmd()` OGNL: The directory to run the build command in.
`java.util.Map` | `getEnvironments()` OGNL: Environment variables to set before running this builder.
`java.lang.String` | `getName()` OGNL: Specify name of this builder
`void` | `setBuildSuccessCondition(java.lang.String buildSuccessCondition)`
`void` | `setCommand(java.lang.String command)`
`void` | `setDirToRunCmd(java.lang.String dirToRunCmd)`
`void` | `setEnvironments(java.util.Map environments)`
`void` | `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandBuilderFacade

    public CommandBuilderFacade()

Method Detail

### getCommand

    public java.lang.String getCommand()

  OGNL: Specify the build command. For example:
  /path/to/command.bat \"${build.version}\" \"${build.artifactsDir}\"
  NOTE: Command or argument containing spaces should be quoted in order not be interpreted as multiple arguments.

### setCommand

    public void setCommand(java.lang.String command)

### getDirToRunCmd

    public java.lang.String getDirToRunCmd()

  OGNL: The directory to run the build command in. If this path is not an absolute path, it is assumed to be relative to current configuration's checkouts directory.

### setDirToRunCmd

    public void setDirToRunCmd(java.lang.String dirToRunCmd)

### getBuildSuccessCondition

    public java.lang.String getBuildSuccessCondition()

  OGNL: The build success condition is an OGNL expression used to determine if the build of the current project was successful. Refer to the user's guide for details.

### setBuildSuccessCondition

    public void setBuildSuccessCondition(java.lang.String buildSuccessCondition)

### getEnvironments

    public java.util.Map getEnvironments()

  OGNL: Environment variables to set before running this builder. For example:
  buildVersion=${build.version}
  configurationName=${name}
  You should set one variable per line. OGNL expression can be inserted to form the value provided they are enclosed by ${...}. For valid OGNL expressions in this context, please refer to the user's guide.
  TIPS: For Ant/Maven builder, you can define JAVA_HOME here to build with a different JDK.

### setEnvironments

    public void setEnvironments(java.util.Map environments)

### getName

    public java.lang.String getName()

  OGNL: Specify name of this builder

### setName

    public void setName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.